CharEncoding (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3, class: CharEncoding

Package org.apache.commons.lang3

# Class CharEncoding

java.lang.Object
org.apache.commons.lang3.CharEncoding

@Deprecated public class CharEncoding extends Object
Deprecated.
Java 7 introduced `StandardCharsets`, which defines these constants as `Charset` objects. Use `Charset.name()` to get the string values provided in this class. This class will be removed in a future release.
Character encoding names required of every implementation of the Java platform.

According to JRE character encoding names:

Every implementation of the Java platform is required to support the following character encodings. Consult the release documentation for your implementation to see if any other encodings are supported.

Since:
  2.1
See Also:
  - JRE character encoding names

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ISO_8859_1`
  Deprecated.
  ISO Latin Alphabet #1, also known as ISO-LATIN-1.
  `static final String`
  `US_ASCII`
  Deprecated.
  Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.
  `static final String`
  `UTF_16`
  Deprecated.
  Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output).
  `static final String`
  `UTF_16BE`
  Deprecated.
  Sixteen-bit Unicode Transformation Format, big-endian byte order.
  `static final String`
  `UTF_16LE`
  Deprecated.
  Sixteen-bit Unicode Transformation Format, little-endian byte order.
  `static final String`
  `UTF_8`
  Deprecated.
  Eight-bit Unicode Transformation Format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharEncoding()`
  Deprecated.
  Will be removed in 4.0.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isSupported(String name)`
  Deprecated.
  Please use `Charset.isSupported(String)` instead, although be aware that `null` values are not accepted by that method and an `IllegalCharsetNameException` may be thrown.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ISO_8859_1

    public static final String ISO_8859_1
    Deprecated.
    ISO Latin Alphabet #1, also known as ISO-LATIN-1.

    Every implementation of the Java platform is required to support this character encoding.

  - ### US_ASCII

    public static final String US_ASCII
    Deprecated.
    Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

    Every implementation of the Java platform is required to support this character encoding.

  - ### UTF_16

    public static final String UTF_16
    Deprecated.
    Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output).

    Every implementation of the Java platform is required to support this character encoding.

  - ### UTF_16BE

    public static final String UTF_16BE
    Deprecated.
    Sixteen-bit Unicode Transformation Format, big-endian byte order.

    Every implementation of the Java platform is required to support this character encoding.

  - ### UTF_16LE

    public static final String UTF_16LE
    Deprecated.
    Sixteen-bit Unicode Transformation Format, little-endian byte order.

    Every implementation of the Java platform is required to support this character encoding.

  - ### UTF_8

    public static final String UTF_8
    Deprecated.
    Eight-bit Unicode Transformation Format.

    Every implementation of the Java platform is required to support this character encoding.

- ## Constructor Details

  - ### CharEncoding

    @Deprecated public CharEncoding()
    Deprecated.
    Will be removed in 4.0.0.
    Constructs a new instance.

- ## Method Details

  - ### isSupported

    @Deprecated public static boolean isSupported(String name)
    Deprecated.
    Please use `Charset.isSupported(String)` instead, although be aware that `null` values are not accepted by that method and an `IllegalCharsetNameException` may be thrown.
    Returns whether the named charset is supported.

    This is similar to java.nio.charset.Charset.isSupported(String) but handles more formats

    Parameters:
      `name` - the name of the requested charset; may be either a canonical name or an alias, null returns false
    Returns:
      `true` if the charset is available in the current Java virtual machine